Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707450 - app-editors/mg-20180408 : fails to build with -fno-common or gcc-10
Summary: app-editors/mg-20180408 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Emacs project
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:16 UTC by Toralf Förster
Modified: 2020-02-15 19:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.32 KB, text/plain)
2020-01-30 19:16 UTC, Toralf Förster
Details
app-editors:mg-20180408:20200130-073500.log (app-editors:mg-20180408:20200130-073500.log,41.05 KB, text/plain)
2020-01-30 19:16 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,216.90 KB, text/plain)
2020-01-30 19:16 UTC, Toralf Förster
Details
environment (environment,50.32 KB, text/plain)
2020-01-30 19:16 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.08 KB, application/x-bzip)
2020-01-30 19:16 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,14.88 KB, application/x-bzip)
2020-01-30 19:16 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:16:31 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DREGEX -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY  -D__dead=__dead2 -c dired.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DREGEX -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY  -D__dead=__dead2 -c grep.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -DREGEX -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY  -D__dead=__dead2 -c tags.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed autoexec.o basic.o bell.o buffer.o cinfo.o dir.o display.o echo.o extend.o file.o fileio.o funmap.o help.o kbd.o keymap.o line.o macro.o main.o match.o modes.o paragraph.o re_search.o region.o search.o spawn.o tty.o ttyio.o ttykbd.o undo.o util.o version.o window.o word.o yank.o cmode.o cscope.o dired.o grep.o tags.o -o mg -lncurses -ltinfo  -lbsd 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: basic.o:(.bss+0x0): multiple definition of `rptcount'; autoexec.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: basic.o:(.bss+0x4): multiple definition of `tcdell'; autoexec.o:(.bss+0x4): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 06:51:08 +0000

emerge -qpvO app-editors/mg
[ebuild  N    ] app-editors/mg-20180408  USE="-livecd"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:16:34 UTC
Created attachment 609000 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:16:37 UTC
Created attachment 609002 [details]
app-editors:mg-20180408:20200130-073500.log
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:16:40 UTC
Created attachment 609004 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:16:43 UTC
Created attachment 609006 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:16:46 UTC
Created attachment 609008 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:16:49 UTC
Created attachment 609010 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-02-15 19:31:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0068b6c6ebb346e144381af1c87bce606e664328

commit 0068b6c6ebb346e144381af1c87bce606e664328
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2020-02-15 19:29:13 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2020-02-15 19:30:57 +0000

    app-editors/mg: Version bump to 20200215.
    
    Closes: https://bugs.gentoo.org/707450
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 app-editors/mg/Manifest           |  1 +
 app-editors/mg/mg-20200215.ebuild | 46 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)